Package org.jbpm.services.task.impl.model

## Class DelegationImpl

- java.lang.Object
- - org.jbpm.services.task.impl.model.DelegationImpl

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `org.kie.internal.task.api.model.Delegation`

      @Embeddable
      public class DelegationImpl
      extends Object
      implements org.kie.internal.task.api.model.Delegation

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DelegationImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `org.kie.internal.task.api.model.AllowedToDelegate` | `getAllowed()` |
    `List<org.kie.api.task.model.OrganizationalEntity>` | `getDelegates()` |
    `int` | `hashCode()` |
    `void` | `readExternal​(ObjectInput in)` |
    `void` | `setAllowed​(org.kie.internal.task.api.model.AllowedToDelegate allowedToDelegate)` |
    `void` | `setDelegates​(List<org.kie.api.task.model.OrganizationalEntity> delegates)` |
    `void` | `writeExternal​(ObjectOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegationImpl

          public DelegationImpl()

  - ### Method Detail

    - #### writeExternal

          public void writeExternal​(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal​(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### getAllowed

          public org.kie.internal.task.api.model.AllowedToDelegate getAllowed()

      Specified by:
        `getAllowed` in interface `org.kie.internal.task.api.model.Delegation`

    - #### setAllowed

          public void setAllowed​(org.kie.internal.task.api.model.AllowedToDelegate allowedToDelegate)

      Specified by:
        `setAllowed` in interface `org.kie.internal.task.api.model.Delegation`

    - #### getDelegates

          public List<org.kie.api.task.model.OrganizationalEntity> getDelegates()

      Specified by:
        `getDelegates` in interface `org.kie.internal.task.api.model.Delegation`

    - #### setDelegates

          public void setDelegates​(List<org.kie.api.task.model.OrganizationalEntity> delegates)

      Specified by:
        `setDelegates` in interface `org.kie.internal.task.api.model.Delegation`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`